const w4 = @import("./wasm4.zig");

// https://lospec.com/palette-list/dusty4
pub fn overworld() void {
    w4.m.palette.* = .{
        w4.Color{.blue = 0xdf, .green = 0xf6, .red = 0xf5},
        //0xf5f6df
        w4.Color{.blue = 0x78, .green = 0x8f, .red = 0x5a},
        //0x5a8f78
        w4.Color{.blue = 0x68, .green = 0xa5, .red = 0x3a},
        //0x3a5068
        w4.Color{.blue = 0x51, .green = 0x2a, .red = 0x37},
        //0x372a51
    };
}

pub fn mist() void {
    w4.m.palette.* = .{
        w4.Color{.blue = 0xc2, .green = 0xf0, .red = 0xc4},
        //0xc4f0c2
        w4.Color{.blue = 0xa8, .green = 0xb9, .red = 0x5a},
        //0x5ab9a8
        w4.Color{.blue = 0x6e, .green = 0x60, .red = 0x1e},
        //0x1e606e
        w4.Color{.blue = 0x00, .green = 0x1b, .red = 0x2d},
        //0x2d1b00
    };
}

pub fn orca() void {
    w4.m.palette.* = .{
        w4.Color{.blue = 0xAF, .green = 0xB0, .red = 0xD9},
        //0xD9B0AF,
        w4.Color{.blue = 0x83, .green = 0x63, .red = 0xAA},
        //0xAA6383,
        w4.Color{.blue = 0x83, .green = 0x3C, .red = 0xAA},
        //0x6A3C4F,
        w4.Color{.blue = 0x2D, .green = 0x23, .red = 0x36},
        //0x36232D,
    };
}

pub fn tamtam() void {
    w4.m.palette.* = .{
        w4.Color{.blue = 0xE4, .green = 0xEB, .red = 0xEE},
        //0xEEEBE4,
        w4.Color{.blue = 0x6F, .green = 0x67, .red = 0xC7},
        //0xC7676F,
        w4.Color{.blue = 0x55, .green = 0x92, .red = 0xBA},
        //0xBA9255,
        w4.Color{.blue = 0x5E, .green = 0x1F, .red = 0x16},
        //0x161F5E,
    };
}